package com.gic.haoban.manage.service.pojo.qo;

import com.gic.haoban.base.api.common.BasePageInfo;

import java.util.Date;

/**
 * @Author MUSI
 * @Date 2022/7/1 4:47 PM
 * @Description
 * @Version
 **/
public class HmGroupInfoQO extends BasePageInfo {

    private String groupName;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    private Date startTime;

    private Date endTime;

    /**
     * @see com.gic.haoban.manage.api.enums.hm.HmGroupStatus
     */
    private Integer status;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
